
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>(i++)+(i++)与(++i)+(++i) / iVAN</title>

    <meta name="description" content="(i++)+(i++)与(++i)+(++i) 与在前面:++(--)有太多让人困惑的地方,(i++)+(i++)与(++i)+(++i)有什么不同?为什么不同?如果从机器的角度去理解,就会豁然开朗. 先来看段程序: int main() { int i=3; int j=(i++)+(i++); // int j=(++i)+(++i); printf(&quot;%d,%d\n&quot;,i,j); } (1)在VC 6.0下: 对于(i++)+(i++): 结果:i=5,j=6 相应的汇编代码为(有详细注释): 8B 45 FC mo ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">(i++)+(i++)与(++i)+(++i)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>与在前面:++(--)有太多让人困惑的地方,(i++)+(i++)与(++i)+(++i)有什么不同?为什么不同?如果从机器的角度去理解，就会豁然开朗。</p>
<p>先来看段程序:</p>
<p><code>int main()<br />
{<br />
　　　 int i=3;<br />
　　　 int j=(i++)+(i++);<br />
　　　 <br />
//　　　 int j=(++i)+(++i);<br />
　　　 printf("%d,%d\n",i,j);<br />
}</code></p>
<p>(1)在VC 6.0下：</p>
<p>对于(i++)+(i++):</p>
<p>结果：i=5,j=6</p>
<p>相应的汇编代码为(有详细注释)：</p>
<p><code>8B 45 FC　　　　　　　　　　　　 mov　　　　　　　　 eax,dword ptr [ebp-4]　　 ;i-&gt;eax<br />
03 45 FC　　　　　　　　　　　　 add　　　　　　　　 eax,dword ptr [ebp-4]　　　 ;i+i=6<br />
89 45 F8　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-8],eax　　　 ;6-&gt;j<br />
8B 4D FC　　　　　　　　　　　　 mov　　　　　　　　 ecx,dword ptr [ebp-4]　　　 ;i-&gt;ecx(=3)<br />
83 C1 01　　　　　　　　　　　　 add　　　　　　　　 ecx,1　　　　　　　　　　　　　　　　　　　　　　　　　　 ;ecx=4<br />
89 4D FC　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-4],ecx　　　 ;4-&gt;i<br />
8B 55 FC　　　　　　　　　　　　 mov　　　　　　　　 edx,dword ptr [ebp-4]　　　 ;i-&gt;edx<br />
83 C2 01　　　　　　　　　　　　 add　　　　　　　　 edx,1　　　　　　　　　　　　　　　　　　　　　　　　　　 ;edx=5<br />
89 55 FC　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-4],edx　　　 ;5-&gt;i</code></p>
<p>对于(++i)+(++i)：</p>
<p>结果：i=5,j=10</p>
<p>相应的汇编代码为：</p>
<p><code>8B 45 FC　　　　　　　　　　　　 mov　　　　　　　　 eax,dword ptr [ebp-4]　　　 ;i-&gt;eax (=3)<br />
83 C0 01　　　　　　　　　　　　 add　　　　　　　　 eax,1　　　　　　　　　　　　　　　　　　　　　　　　　　 ;eax=4<br />
89 45 FC　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-4],eax　　　 ;4-&gt;i<br />
8B 4D FC　　　　　　　　　　　　 mov　　　　　　　　 ecx,dword ptr [ebp-4]　　　 ;i-&gt;ecx<br />
83 C1 01　　　　　　　　　　　　 add　　　　　　　　 ecx,1　　　　　　　　　　　　　　　　　　　　　　　　　　 ;ecx=5<br />
89 4D FC　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-4],ecx　　　 ;5-&gt;i<br />
8B 55 FC　　　　　　　　　　　　 mov　　　　　　　　 edx,dword ptr [ebp-4]　　　 ;i-&gt;edx<br />
03 55 FC　　　　　　　　　　　　 add　　　　　　　　 edx,dword ptr [ebp-4]　　　 ;edx=10 ,即i+i<br />
89 55 F8　　　　　　　　　　　　 mov　　　　　　　　 dword ptr [ebp-8],edx　　　 ;10-&gt;j</code></p>
<p>(2)在gcc 3.2.2下:</p>
<p>对于(i++)+(i++):</p>
<p>结果：i=5,j=6相应的汇编代码为：</p>
<p><code>c7 45 fc 03 00 00 00　　　　 movl　　　 $3, -4(%ebp）　　　　　　　 ;3-&gt;i<br />
8b 55 fc　　　　　　　 movl　　　 -4(%ebp), %edx　　　　　　　 ;i-&gt;edx (=3)<br />
8b 45 fc　　　　　　　 movl　　　 -4(%ebp), %eax　　　　　　　 ;i-&gt;eax　　　 (=3)<br />
8d 04 10　　　　　　　　 leal　　　 (%eax,%edx), %eax　　　　 ;i+i=6 -&gt;eax<br />
89 45 f8　　　　　　　 movl　　　 %eax, -8(%ebp)　　　　　　　 ;6-&gt;j<br />
8d 45 fc　　　　　　　 leal　　　 -4(%ebp), %eax　　　　　　　 ;&amp;i-&gt;eax<br />
ff 00　　　　　　　　　　　 incl　　　 (%eax)　　　　　　　　　　　 ;i++ ,即i=4,注意这里为寄存器间接寻址<br />
8d 45 fc　　　　　　　 leal　　　 -4(%ebp), %eax　　　　　　　 ;&amp;i-&gt;eax<br />
ff 00　　　　　　　　　　　 incl　　　 (%eax)　　　　　　　　　　　　　　　 ;i++,即i=5</code></p>
<p>对于(++i)+(++i)：</p>
<p>结果：i=5,j=10</p>
<p>相应的汇编代码为：</p>
<p><code>movl　　　 $3, -4(%ebp)　　　　　　　 ;3-&gt;i<br />
leal　　　 -4(%ebp), %eax　　　　　　　 ;&amp;i-&gt;eax<br />
incl　　　 (%eax)　　　　　　　　　　　 ;i++,即i=4<br />
leal　　　 -4(%ebp), %eax　　　　　　　 ;&amp;i-&gt;eax<br />
incl　　　 (%eax)　　　　　　　　　　　 ;i++, i=5<br />
movl　　　 -4(%ebp), %eax　　　　　　　 ;i-&gt;eax, eax=5<br />
addl　　　 -4(%ebp), %eax　　　　　　　 ;i+i -&gt;eax ,eax=10<br />
movl　　　 %eax, -8(%ebp)　　　　　　　 ;10-&gt;j</code></p>
<p>可见，对于VC6.0和gcc，二者的结果一致，但是gcc 3.2.2生成的汇编代码明显比VC6.0高效、简洁。这也许是因为VC 6.0出现较早的原因吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:40:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/dword/" title="DWORD">DWORD</a>, <a href="https://www.iamivan.net/tag/gcc-vc-6-0/" title="gcc vc&plus;&plus;6&period;0">gcc vc&plus;&plus;6&period;0</a>, <a href="https://www.iamivan.net/tag/i-eportode/" title="i eportode">i eportode</a>, <a href="https://www.iamivan.net/tag/mov/" title="mov">mov</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96gcc/" title="汇编gcc">汇编gcc</a>        </div> -->
	</section>
	
	

	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPxElp.html" rel="bookmark" class="title">HTML语言剖析（五）字体标记</a>
					<div>
						HTML语言剖析 字体标记 &lt;STRONG&gt; &lt;B&gt; &lt;I&gt; &lt;EM&gt; &lt;VAR&gt; &lt;CITE&gt; &lt;DFN&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1JPjp.html" rel="bookmark" class="title">谈谈原创项目那点事 起源算法四大可行之处</a>
					<div>
						5月16号百度站长平台公布了原创星火计划,起源算法上线准备打持久战,对此各站长网站论坛和QQ群讨论声不少,自然是有人欢喜有人愁.这次的算法调整真的会有大的作用吗?原创真的迎来了春天? 站长,你还在吐槽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Edjp.html" rel="bookmark" class="title">Flash Lite 2&period;0的新功能和误会</a>
					<div>
						因为Flash Lite 2.0已经开卖,所以可以讲一下Flash Lite 2.0一些我认为有意思的新功能,依照重要程度排列:     Unicode:动态文字可以展示中文,在我们华文地区来说,非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeJWwb.html" rel="bookmark" class="title">用VC&plus;&plus;仿制金山毒霸专杀工具界面</a>
					<div>
						金山毒霸2002自推出以来,广受用户的喜爱.今天在这里我要谈的不是金山毒霸的功能,而是其别具一格的界面.本人早就对金山毒霸的界面垂涎三尺,如果自己的程序里能用上金山毒霸那样的界面,那该多爽! 说干就干 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jE6ob.html" rel="bookmark" class="title">白盒测试工具CodeTest</a>
					<div>
						1．CodeTest 概述 CodeTest是嵌入式系统测试工具,同时也能做嵌入式部分模块测试.要求:目标板和操作系统能正确运行 2．CodeTest 的4 大功能 (1)性能分析:CodeTEST  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKqx8M.html" rel="bookmark" class="title">ps渐变安装</a>
					<div>
						1,首先打开photoshop,选择工具箱中的渐变工具如图1 &lt;图1&gt; 2,在最上面的属性栏如图2所示点小三角形选择&quot;载入渐变&quot; &lt;图2&gt; 3,找到你要载入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKr88M.html" rel="bookmark" class="title">用纯CSS打造可折叠树状菜单</a>
					<div>
						 随着CSS3的发布,国外研究正如火如荼,但在国内还有很多人抱着IE不支持CSS3的想法,始终无动于衷不肯去学习.但是历史告诉我们,好的东西必将盛行,CSS3也终将也会替代CSS2,下面就和大家分享一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPEk8z.html" rel="bookmark" class="title">用ps去除图片颜色教程</a>
					<div>
						  原片: 1.千万别用去色命令 去色与转换为灰度是photoshop中最基本的将照片处理为黑白的命令,使用最简单的算法抛弃了画面中的颜色信息,完全不能体现Photoshop的强大之处. 2.使用黑白 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M621aNM.html" rel="bookmark" class="title">photoshop路径技巧</a>
					<div>
						使用笔形(Pen)工具制作路径时按住Shift键可以强制路径或方向线成水平.垂直或45度角,按住Ctrl键可暂时切换到路径选取工具,按 住Alt键将笔形光标在在黑色节点上单击可以改变方向线的方向,使曲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1QVEz.html" rel="bookmark" class="title">ps制作身份证照片</a>
					<div>
						下面的教程中,我将会教你只用PS制作能够上传合格的二代证相片,那么在制作之前,你先要了解下二代证相片要求.平时看别人的教程,都只是教第一步怎么做,第二步怎么做,跟着盲目地做,就算做得出一样的效果,但过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZYrVb.html" rel="bookmark" class="title">聊聊中英文排版</a>
					<div>
						  因为中文的方块组成在排列上具有非常优秀的弹性,因此不论是直书或是横式的书写方向都可以很好的适应.在近代为了推行计算机化.让文字与信息带来普及化,横式书写的排版方式被广泛地应用.但其实在许多场合,例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdDywM.html" rel="bookmark" class="title">Win8&sol;Win8&period;1网速变慢怎么办？</a>
					<div>
						  最近网友有朋友反馈Win8系统存在打开网页变慢的情况,下载速度依然很快的情况下居然出现打开网页变慢的情况.那么Win8/Win8.1网速变慢怎么办?以下小编整理了几个提高Win8网速的方法,希望能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAreqvp.html" rel="bookmark" class="title">XP系统如何新建administrator管理员权限账户</a>
					<div>
						  知识点分析: 对于Windows XP系统,有很多种创建用户账户的操作方法.其中包括:使用CMD命令行的net命令进行,也可以使用控制面板的图形界面进行,还可以使用计算机管理控制台中的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NJwNM.html" rel="bookmark" class="title">Self Host模式下的ASP&period; NET Web API是如何进行请求的监听与处理的？</a>
					<div>
						构成ASP.NET Web API核心框架的消息处理管道既不关心请求消息来源于何处,也不需要考虑响应消息归于何方.当我们采用Web Host模式将一个ASP.NET应用作为目标Web API的宿主时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrPKNM.html" rel="bookmark" class="title">我们为什么需要SDN？</a>
					<div>
						引言:SDN为什么会出现?是什么原因使得学术界提出SDN?我们为什么需要SDN?如果你刚接触SDN方案时,你一定有这样的疑问.而问题的答案是:我们需要拥有更多可编程能力的网络,来支持快速增长的网络业务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAQrYM.html" rel="bookmark" class="title">四中方式实现单例模式</a>
					<div>
						一:饿汉式单例模式 package com.zkn.newlearn.gof.singleton; /** * * 饿汉式单例模式 * @author zkn * */ public class Si ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK4jjz.html" rel="bookmark" class="title">C语言库函数大全及应用实例四</a>
					<div>
						原文:C语言库函数大全及应用实例四                                   [编程资料]C语言库函数大全及应用实例四 couble fmod (double x, doub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0g5b.html" rel="bookmark" class="title">实测爱立信青岛 TD-LTE 网：峰值速率 110Mbps</a>
					<div>
						  爱立信TD-LTE路测峰值速率曾达到223Mbps 爱立信在青岛的TD-LTE试验车 11月19日消息,继今年10月中国移动TD-LTE规模试验扩大到13个城市后,目前各试验城市TD-LTE已初具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyJ92z.html" rel="bookmark" class="title">宁夏恒力定增卖壳今无量涨停</a>
					<div>
						网易财经9月28日讯 宁夏恒力今日公告,拟以7.02元/股向上海新日股权投资股份有限公司定向增发8000万股票,后者以现金认购,并成为新控股股东. 公告介绍,本次发行所募集资金预计约为5.616亿(含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJoWmp.html" rel="bookmark" class="title">c语言问题-s&equals;1&plus;1&sol;2&plus;1&sol;3&plus;1&sol;4&plus;&hellip;&hellip;1&sol;n  s等于15&period;0时n等于几</a>
					<div>
						问题描述 s=1+1/2+1/3+1/4+--1/n s等于15.0时n等于几 #include int main() { int i; double s=0.0; for(i=1;s&lt;=15. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4er8jb.html" rel="bookmark" class="title">Linux 终端tty pty pts描述</a>
					<div>
						在使用Linux的过程中,当我们通过ssh或者telnet等方式连接到服务器之后,会有一个相应的终端来对应.而在直接登陆到Linux服务器的时候也有一个对应的终端.也就是说所有登陆到当前Linux服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnVBrM.html" rel="bookmark" class="title">Hadoop安装遇到的各种异常及解决办法</a>
					<div>
						2014-03-13 11:10:23,665 INFO org.apache.Hadoop.ipc.Client: Retrying connect to server: Linux-hadoop- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkdZJz.html" rel="bookmark" class="title">javascript电商网站抢购倒计时效果实现&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了javascript电商网站抢购倒计时效果实现代码.分享给大家供大家参考.具体如下: 运行效果截图如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY2mab.html" rel="bookmark" class="title">关于的汽车信息管理系统表结构</a>
					<div>
						问题描述 请问&lt;基于Web的汽车信息管理系统&gt;数据库表应该怎么设计呢,各位大侠帮帮忙 解决方案 解决方案二:设计是根据需求来的解决方案三:这个问题好空泛啊,就像楼上说的,设计是根据需求来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen4BOb.html" rel="bookmark" class="title">空间营销不得不说的秘密</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天在一个很巧合的情况下被拉进一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyxwmM.html" rel="bookmark" class="title">不懂技术也能活的很好！</a>
					<div>
						前言: &quot;师兄,我们这款产品的核心功能是要达到XXX,可以采用XX技术来实现,这样可能会比较好&quot;,&quot;且,你管我用什么技术,我能给你实现就好了,你又不懂技术,瞎扯什么蛋呢? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YQ4Bp.html" rel="bookmark" class="title">面板供不应求液晶电视价格持续上涨</a>
					<div>
						5月26日消息,据台湾媒体报道,液晶面板价格最近接连涨价,台湾三星电子协理赖俊兴表示,3.4月时已经上调了300元到500元新台币(下同),最近还有上涨的可能. 赖俊兴指出,从去年起全球经济不景气,面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyX55M.html" rel="bookmark" class="title">ListView 适配器实现getviewtypecount&lpar;&rpar; 数组越界IndexOutOfBoundException</a>
					<div>
						  ListView中Item的多布局显示,需要用到了getviewtypecount和getItemViewType这两个重写方法,但是做完后出现了如下提示错误: java.lang.ArrayIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO3r3b.html" rel="bookmark" class="title">2014夏普健康家电净生活体验会在上海举办</a>
					<div>
						摘要: 昨日,2014夏普健康家电净生活体验会在上海举办.夏普携冰箱.空气净化器.原汁机.洗衣机.吹风机等全新健康家电全线发力中国市场.据悉,健康环境家电事业逐渐成为夏普在中国 昨日,&quot;20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqoN6b.html" rel="bookmark" class="title">请教大神关于在线问卷录入的设计思路。</a>
					<div>
						问题描述 请教大神关于在线问卷录入的设计思路.平台:vs2010:语言:asp.net.c#数据库:access:需求:2页问卷,填写的格式有文字.日期.数字等.如何把这些数据写入access数据库. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
